# Generated by Django 4.2.5 on 2023-09-25 07:05

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="TagCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(max_length=100, unique=True, verbose_name="Имя"),
                ),
                (
                    "send_post_for_moderation",
                    models.BooleanField(
                        default=False,
                        help_text="В случае если пост содержит тег из этой категории, пост будет автоматически отправлен на модерацию",
                        verbose_name="Отправить пост на модерацию",
                    ),
                ),
                (
                    "allowed_to_add_manually",
                    models.BooleanField(
                        default=True,
                        help_text="Если чекбокс установлен, юзер сможет добавить тег при создании поста.<br/>Если чекбокс снят, теги из этой категории будут назначаться на основе бизнес-логики и юзер не сможет их добавить к любому посту.<br/>Например, при наличии ссылки на телеграм, длиннопост и т.д. <br/>Теги из такой категории не будет выводиться в подсказке к тегам при создании поста.",
                        verbose_name="Может быть добавлен юзером",
                    ),
                ),
            ],
            options={
                "verbose_name": "Категория тегов",
                "verbose_name_plural": "Категории тегов",
            },
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=50, unique=True)),
                ("usages", models.IntegerField(default=0)),
                (
                    "category",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="tags",
                        to="tags.tagcategory",
                    ),
                ),
            ],
            options={
                "verbose_name": "Тег",
                "verbose_name_plural": "Теги",
            },
        ),
    ]
